<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Business;
use App\Models\Branding;
use App\Models\Power;
use App\Models\Product;
use App\Models\Payment;
use App\Models\Furniture;
use App\Models\Advertisement;
use App\Models\BadgeLimit;
use App\Models\ExhibitorProfile;
use App\Models\Contractor;
use App\Models\Setting;
use App\Models\User;
use App\Models\Exhibitor;
use App\Models\Visitor;
use App\Models\StallCategory;
use App\Models\Stall;
use App\Models\ExhibitorStall;
use App\Models\StallArea;
use App\Models\VisitorProfile;
use App\Models\FurnitureRequirement;
use App\Models\AdvertisementRequirement;
use App\Models\AdvertisementRequirementDetails;
use App\Models\BrandingRequirement;
use App\Models\PowerRequirement;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\DB;

class UserManagementController extends Controller
{
    public function index(){
        $visitors = Visitor::where('role','visitor')->get();
        $menuItems = json_decode(File::get(storage_path(auth()->user()->role . '_menu.json')), true);
        return view ('admin.users.visitor.index',compact('menuItems','visitors'));
    }
    public function create(){
        $businesses = Business::getAllBusiness();
        $menuItems = json_decode(File::get(storage_path(auth()->user()->role . '_menu.json')), true);
        return view ('admin.users.visitor.create',compact('menuItems','businesses'));
    }
    public function generateOTP(Request $request)
    {
        $request->validate([
            'name' => 'required',
            // 'email' => 'required',
            'mobile' => 'required',
        ]);
        $otp = mt_rand(1000, 9999);
        $emailOtp = mt_rand(1000, 9999);
        $mobile = $request->get('mobile');
        $email = $request->get('email');
        $name = $request->get('name');
        $nationality = $request->get('nationality');
        $checkCredentials = Setting::where('meta_key','otp-settings')->first();
        if(!$checkCredentials){
            return response()->json([
                'status' => 'error',
            ]);
        }else{
            $data = Setting::getData('otp-settings');
            $formattedData = json_decode($data->meta_value);
        }
        $sms = "Dear Optician " . $otp . " is the OTP for registration @ inoptic.com";
        // $data = [
        //     // 'otp' => $otp,
        //     'mobile' => $mobile,
        //     'email' => $email,
        //     'name' => $name,
        //     'emailOtp' => $emailOtp,
        // ];
        if($nationality == 'Indian'){
            session([
                'name' => $request->name,
                'email' => $request->email,
                'mobile' => $request->mobile,
                'otp' => $otp,
                'emailOtp' => $emailOtp
            ]);
            // $client = new \GuzzleHttp\Client();
            // $client->get("https://buzzify.in/V2/http-api.php?apikey=$formattedData->api_key&senderid=$formattedData->sender_id&template_id=$formattedData->template_id&number=$request->mobile&message=$sms&format=json");
            // Mail::to('inforsd@inoptic.com' , 'Admin')->send(new VerifyOtp($otp , $mobile, $email, $name));
            // return response()->json([
            //     'status' => 'success',
            //     'otp' => $otp
            // ]);
            return response()->json([
                'status' => 'success',
                'otp' => $otp,
                // 'emailOtp' => $emailOtp
            ]);
        }else{
            session([
                'name' => $request->name,
                'email' => $request->email,
                'mobile' => $request->mobile,
                'otp' => $otp,
                'emailOtp' => $emailOtp,
                'userType' => $nationality
            ]);
            // Mail::to($email , 'Admin')->send(new ForeignOtp($otp , $mobile, $email, $name,$emailOtp));
            return response()->json([
                'status' => 'success',
                // 'otp' => $otp,
                'emailOtp' => $emailOtp,
            ]);
        }
    }
    public function verifyOTP(Request $request)
    {
        if ($request->otp == session('otp') || $request->email_otp == session('emailOtp')){
            $visitor = Visitor::create([
                'name' => session('name'),
                'email' => session('email') ? session('email') : $request->email,
                'mobile' => session('mobile') ? session('mobile') : $request->mobile,
                'password' => Hash::make(mt_rand(1000, 9999)),
                'role' => 'visitor'
            ]);
            $visitorProfile = VisitorProfile::create([
                'user_id' => $visitor->id,
                'company_name' => session('name'),
                'address_1' => '-',
                'address_2' => '-',
                'country' => '-',
                'state' => '-',
                'city' => '-',
                'zip' => '-',
                'phone_number' => '-',
                'fax' => '-',
                'website' => '-',
                'gst_number' => '-',
                'badge_path' => '-',
            ]);
        }
        return response()->json([
            'status' => true,
            'visitor_id' => $visitor->id
        ]);
    }
    public function store(Request $request){
        $visitor = Visitor::find($request->input('visitor_id'));
        $profile = VisitorProfile::where('user_id', $request->input('visitor_id'))->first();
        $visitorProfile = VisitorProfile::find($profile->id);
        $visitorProfile->address_1 =   $request->input('address_1');
        $visitorProfile->address_2 =   $request->input('address_2');
        $visitorProfile->country =   $request->input('country');
        $visitorProfile->state =   $request->input('state');
        $visitorProfile->city =   $request->input('city');
        $visitorProfile->zip =   $request->input('zip');
        $visitorProfile->phone_number =   $request->input('phone_number');
        $visitorProfile->fax =   $request->input('fax');
        $visitorProfile->website =   $request->input('website');
        $visitorProfile->gst_number =   $request->input('gst_number');
        $visitorProfile->badge_path =   '-----';
        $visitor->name = $request->input('name');
        foreach ($request->business as $business) {
            $visitor->businesses()->attach($business);
        }
        $visitor->save();
        $visitorProfile->save();
        return back()->with('success', 'Record Added successfully.');
    }
    public function destroy(Request $request){
        $model = $request->input('model');
        $id = $request->input('id');
        VisitorProfile::where('user_id',$id)->delete();
        DB::table('business_user')->where('user_id', $id)->delete();
        $record = User::deleteById($id, $model);
        return $record;
    }
    // Exhibitors
    public function exhibitorList(){
        $exhibitors = Exhibitor::where('role','exhibitor')->get();
        $menuItems = json_decode(File::get(storage_path(auth()->user()->role . '_menu.json')), true);
        return view ('admin.users.exhibitors.index',compact('menuItems','exhibitors'));
    }
    public function exhibitorDetail($id){
        $exhibitor = Exhibitor::find(decrypt($id));
        $contractor = Contractor::find($exhibitor->profile->contractor_id);
        $menuItems = json_decode(File::get(storage_path(auth()->user()->role . '_menu.json')), true);
        return view ('admin.users.exhibitors.view',compact('menuItems','exhibitor','contractor'));
    } 
    public function AddExhibitor(Request $request){
        $menuItems = json_decode(File::get(storage_path(auth()->user()->role . '_menu.json')), true);
        $stallCategories = [];
        $stalls = [];
        $stallCateg = StallCategory::all();
        $stallsArea = [];
        foreach($stallCateg as $data)
        {
            $stallCategories[] = [ 
                'name' => $data['name'],
                'value' => $data['value'],
                'currency' => ($data['currency'] === 'ruppee') ? '(₹)' : (($data['currency'] === 'dollar') ? '($)' : '(€)'),
            ];
        }
        $allStalls = Stall::all();
        // $getstallAreas = StallArea::all();
        $getstallAreas = Stall::getStallAreas();
        $stallAreas = collect($getstallAreas->stall_area)->sortBy(function($value) {
            return $value;
        });
        foreach($allStalls as $stall)
        {
            $stalls[] = [ 
                'stall_no' => $stall['stall_number'],
                'hall_no' => $stall['hall_number'],
            ];
        }
        foreach($stallAreas as $area)
        {
            $stallsArea[] = [ 
                'area' => $area,
            ];
        }
        $masters = [
            'brandings' => Branding::getAllBranding(),
            'powers' => Power::getAllPowers(),
            'furnitures' => Furniture::getAllFurnitures(),
            'advertisements' => Advertisement::getAllAdvertisements(),
            'contractors' => Contractor::getAllContractors(),
            'products' => Product::getAllProducts(),
        ];
        return view ('admin.users.exhibitors.create',compact('menuItems','masters','stallCategories','stalls','stallsArea'));
    }
    public function storeExhibitor(Request $request){
        try {
            $request->validate([
                'name' => 'required',
                'email' => 'required',
                'company_name' => 'required',
                'address' => 'required',
                'city' => 'required',
                'state' => 'required',
                'pin' => 'numeric|required',
                'mobile' => 'numeric|required',
            ]);
            $password = mt_rand(1000, 9999);
            $exhibitorPassword = Hash::make($password);
    
            $exhibitor = Exhibitor::create([
                'name' => $request->name,
                'email' => $request->email,
                'password' => $exhibitorPassword,
                'role' => 'exhibitor',
                'plain_password' => $password,
            ]);
            $freeBadges = 0;
            if ($request->stalls) {
                $totalArea = array_reduce($request->stalls, function($total, $stall){
                    return round($total + $stall['area']);
                }, 0);
                $limit = BadgeLimit::where([
                    ['min_square_footage', '<=', $totalArea],
                    ['max_square_footage', '>=', $totalArea]
                ])->first();
                if ($limit) {
                    $freeBadges = $limit->no_of_badges;
                }
            }
            $exhibitorProfile = ExhibitorProfile::create([
                'user_id' => $exhibitor->id,
                'secondary_emails' => $request->secondary_email,
                'company_name' => $request->company_name,
                'gst_number' => $request->gst_number,
                'address' => $request->address,
                'city' => $request->city,
                'state' => $request->state,
                'pin' => $request->pin,
                'mobile' => $request->mobile,
                'telephone' => $request->telephone ? $request->telephone : '',
                'fax' => $request->fax ? $request->fax : '',
                'faciaboard' => $request->faciaboard ? $request->faciaboard : '-',
                'contractor_id' => $request->contractor_id ? $request->contractor_id : null,
                'website' => $request->website ? $request->website : '-',
                'freebadges' => $freeBadges,
                'extraexhibitorbadge' => 0,
                'stallno' => '-',
                'extra_badge_cgst' => '-',
                'extra_badge_sgst' => '-',
                'extra_badges_total' => '-',
                'product' => '-',
                'brandsondisplay' => !empty($request->brandsondisplay) ? serialize($request->brandsondisplay) : null,
                'brandsondisplay_distributors' => !empty($request->brandsondisplay_distributors) ? serialize($request->brandsondisplay_distributors) : null,
                'brandsondisplay_international' => !empty($request->brandsondisplay_international) ? serialize($request->brandsondisplay_international) : null, 
                'contractor_badges_category' => $request->contractor_badges_category,
                'contractor_badges' => $request->contractor_badges,
            ]);
            if ($request->stalls) {
                foreach ($request->stalls as $stall) {
                    $exhibitorStall = new ExhibitorStall();
                    $exhibitorStall->fill($stall);
                    $exhibitorStall->exhibitor_profile_id = $exhibitorProfile->id;
                    $exhibitorStall->save();
                }
            }
            if ($request->products) {
                foreach($request->products as $product) {
                    $exhibitor->products()->attach($product);
                }
            }
            if ($request->payments) {
                Payment::savePayment($request->payments, $exhibitor->id);                
            }
            
            if ($request->advertisement_requirement_details) {
                AdvertisementRequirement::saveRequirements($request, $exhibitor->id);
            }
            // Furniture Requirements
            if ($request->furniture_requirement_details) {
                FurnitureRequirement::saveRequirement($request, $exhibitor->id);
            }
            // Power
            if ($request->power_requirement_details) {
                PowerRequirement::saveRequirement($request, $exhibitor->id);
            }
            // Brandings
            if ($request->branding_requirement_details) {
                BrandingRequirement::saveRequirement($request, $exhibitor->id);
            }
        } catch (\Throwable $th) {
            $deleteUser = Exhibitor::find($exhibitor->id);
            $deleteUser->delete();
            return back()->with('error', 'Something Went Wrong.' . $th->getMessage());
        }
        return back()->with('success', 'Exhibitor Added successfully.');
        return 'exhibitor';
    }
    public function exhibitorEdit(Request $request, $id)
    {
        $exhibitor = Exhibitor::find(decrypt($id));
        $menuItems = json_decode(File::get(storage_path(auth()->user()->role . '_menu.json')), true);
        $stallCategories = [];
        $stalls = [];
        $stallCateg = StallCategory::all();
        $stallsArea = [];
        foreach($stallCateg as $data)
        {
            $stallCategories[] = [ 
                'name' => $data['name'],
                'value' => $data['value'],
                'currency' => ($data['currency'] === 'ruppee') ? '(₹)' : (($data['currency'] === 'dollar') ? '($)' : '(€)'),
            ];
        }
        $allStalls = Stall::all();
        $getstallAreas = Stall::getStallAreas();
        $stallAreas = collect($getstallAreas->stall_area)->sortBy(function($value) {
            return $value;
        });
        foreach($allStalls as $stall)
        {
            $stalls[] = [ 
                'stall_no' => $stall['stall_number'],
                'hall_no' => $stall['hall_number'],
            ];
        }
        foreach($stallAreas as $area)
        {
            $stallsArea[] = [ 
                'area' => $area,
            ];
        }
        
        $stalls = Stall::all();
        $masters = [
            'brandings' => Branding::getAllBranding(),
            'powers' => Power::getAllPowers(),
            'furnitures' => Furniture::getAllFurnitures(),
            'advertisements' => Advertisement::getAllAdvertisements(),
            'contractors' => Contractor::getAllContractors(),
            'products' => Product::getAllProducts(),
        ];
        return view ('admin.users.exhibitors.edit',compact('menuItems','exhibitor','masters','stalls','stallCategories','stallsArea'));
    }
    public function updateExhibitor(Request $request, $id)
    {
        try {
            $getExhibitor = Exhibitor::find($id);
            $getExhibitorProfile = ExhibitorProfile::where('user_id',$id)->first();
            $freeBadges = 0;
            if ($request->stalls) {
                $totalArea = array_reduce($request->stalls, function($total, $stall){
                    return round($total + $stall['area']);
                }, 0);
                $limit = BadgeLimit::where([
                    ['min_square_footage', '<=', $totalArea],
                    ['max_square_footage', '>=', $totalArea]
                ])->first();
                if ($limit) {
                    $freeBadges = $limit->no_of_badges;
                }
            }
            $request->validate([
                'name' => 'required',
                'email' => 'required',
                'company_name' => 'required',
                'address' => 'required',
                'city' => 'required',
                'state' => 'required',
                'pin' => 'numeric|required',
                'mobile' => 'numeric|required',
            ]);
            $getExhibitor->name = $request->name;
            $getExhibitor->email = $request->email;
            $getExhibitorProfile->secondary_emails = $request->secondary_email;
            $getExhibitorProfile->company_name = $request->company_name;
            $getExhibitorProfile->gst_number = $request->gst_number;
            $getExhibitorProfile->address = $request->address;
            $getExhibitorProfile->city = $request->city;
            $getExhibitorProfile->state = $request->state;
            $getExhibitorProfile->pin = $request->pin;
            $getExhibitorProfile->mobile = $request->mobile;
            $getExhibitorProfile->telephone = $request->telephone ? $request->telephone : '';
            $getExhibitorProfile->fax = $request->fax ? $request->fax : '';
            $getExhibitorProfile->faciaboard = $request->faciaboard ? $request->faciaboard : '-';
            $getExhibitorProfile->contractor_id = $request->contractor_id ? $request->contractor_id : 0;
            $getExhibitorProfile->website = $request->website ? $request->website : '-';
            $getExhibitorProfile->freebadges = $freeBadges;
            $getExhibitorProfile->extraexhibitorbadge = $request->extraexhibitorbadge;
            $getExhibitorProfile->stallno = '-';
            $getExhibitorProfile->extra_badge_cgst = '-';
            $getExhibitorProfile->extra_badge_sgst = '-';
            $getExhibitorProfile->extra_badges_total = '-';
            $getExhibitorProfile->product = '-';
            $getExhibitorProfile->brandsondisplay = !empty($request->brandsondisplay) ? serialize($request->brandsondisplay) : null;
            $getExhibitorProfile->brandsondisplay_distributors = !empty($request->brandsondisplay_distributors) ? serialize($request->brandsondisplay_distributors) : null;
            $getExhibitorProfile->brandsondisplay_international = !empty($request->brandsondisplay_international) ? serialize($request->brandsondisplay_international) : null; 
            $getExhibitorProfile->contractor_badges_category = $request->contractor_badges_category;
            $getExhibitorProfile->contractor_badges = $request->contractor_badges;
            $getExhibitor->save();
            $getExhibitorProfile->save();
            // Stalls
            if ($request->stalls) {
                ExhibitorStall::where(['exhibitor_profile_id' => $getExhibitorProfile->id])->delete();
                foreach ($request->stalls as $stall) {
                    $getStallId = Stall::where('stall_number',$stall['stallno'])->pluck('id')->first();
                    // if (isset($getStallId)) {
                    //     $exhibitorStall->id = $getStallId;
                    //     unset($getStallId);
                    // }
                    // $exhibitorStall = new ExhibitorStall();
                    ExhibitorStall::create([
                        'exhibitor_profile_id' => $getExhibitorProfile->id,
                        'stallno' => $stall['stallno'],
                        'hallno' => $stall['hallno'],
                        'area' => $stall['area'],
                        'price' => $stall['price'],
                        'category' => $stall['category'],
                        'currency' => $stall['currency'],
                        'discount' => $stall['discount'],
                        'price_after_discount' => $stall['price_after_discount'],
                        'discounted_amount' => $stall['discounted_amount'],
                        'total' => $stall['total'],
                        'cgst' => $stall['cgst'],
                        'sgst' => $stall['sgst'],
                        'grandtotal' => $stall['grandtotal'],
                    ]);
                    // $exhibitorStall->fill($stall);
                    // $exhibitorStall->exhibitor_profile_id = $getExhibitorProfile->profile->id;
                    // $exhibitorStall->save();
                }
                foreach($request->stalls as $stall)
                {
                    $stallCheck = Stall::where('stall_number',$stall['stallno'])->update([
                        'user_id' => $id,
                        'status' => 1,
                    ]);
                }
            }
            if ($request->products) {
                $getExhibitor->products()->sync($request->products);
            }
            if ($request->payments) {
                Payment::updatePayment($id, $request->payments);
            }
            // Furniture Requirements
            if ($request->furniture_requirement_details) {
                FurnitureRequirement::updateRequirement($id, $request);                
            }
            // Advertisement
            if($request->advertisement_requirement_details){
                AdvertisementRequirement::updateRequirements($request, $id);
            }
            // Power
            if ($request->power_requirement_details) {
                PowerRequirement::updateRequirement($request, $id);                
            }
            // Branding
            if ($request->branding_requirement_details) {
                Branding::updateRequirement($request, $id);                
            }
            return back()->with('success', 'Exhibitor Updated.');
        } catch (\Throwable $th) {
            return back()->with('error', 'Something Went Wrong.' . $th->getMessage());
        }
    }
    public function deleteExhibitor(Request $request, $id)
    {
        try {
            $exhibitor = Exhibitor::find($id);
            $exhibitorProfile = ExhibitorProfile::where('user_id',$id);
            $exhibitor->delete();
            $exhibitorProfile->delete();
            return back()->with('success', 'Exhibitor Deleted Successfully.');
        } catch (\Exception $e) {
            return back()->with('error', 'Error Deleting Exhibitor.');
        }
    }
}
