<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AdvertisementRequirement extends Model
{
    use HasFactory;
    protected $guarded = ['id'];

    public function details()
    {
        return $this->hasMany('App\Models\AdvertisementRequirementDetails', 'advertisement_requirement_id');
    }
    public static function saveRequirements($request, $id)
    {
        $advertisementRequirement = new AdvertisementRequirement;
        $advertisementRequirement->fill($request->advertisement_requirement);
        $advertisementRequirement->user_id = $id;
        $advertisementRequirement->save();
        foreach ($request->advertisement_requirement_details as $detail) {
            $advertisementRequirementDetail = new AdvertisementRequirementDetails;
            $advertisementRequirementDetail->fill($detail);
            $advertisementRequirementDetail->advertisement_requirement_id = $advertisementRequirement->id;
            $advertisementRequirementDetail->save();
            
        }
    }
    public static function updateRequirements($request, $exhibitor)
    {
        if ($request->advertisement_requirement_details) {
            AdvertisementRequirement::where(['user_id' => $exhibitor])->delete();
            $advertisementRequirement = new AdvertisementRequirement;
            if (isset($request->advertisement_requirement['id'])) {
                $advertisementRequirement->id = $request->advertisement_requirement['id'];
            }
            $advertisementRequirement->fill($request->advertisement_requirement);
            $advertisementRequirement->user_id = $exhibitor;
            $advertisementRequirement->save();            
            AdvertisementRequirementDetails::where(['advertisement_requirement_id' => $advertisementRequirement->id])->delete();
            foreach ($request->advertisement_requirement_details as $detail) {
                $advertisementRequirementDetail = new AdvertisementRequirementDetails;
                if (isset($detail['id'])) {
                    $advertisementRequirementDetail->id = $detail['id'];
                    unset($detail['id']);
                }
                $advertisementRequirementDetail->fill($detail);
                $advertisementRequirementDetail->advertisement_requirement_id = $advertisementRequirement->id;
                $advertisementRequirementDetail->save();
            }
        }
    }
}
