<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Support\Facades\Storage;
class Furniture extends Model
{
    use HasFactory;
    //
    protected $fillable = [
        'image', 'name', 'price',
    ];

    protected $table = 'furnitures';

    public static function getAllFurnitures(){
        $data = Furniture::all();
        if ($data->isNotEmpty()) {
            // The furniture table has data
            return $data;
        }else{
            return $arr = [
                [
                    'name' => 'Eames Lounge Chair',
                    'price' => 899.99,
                    'image_url' => 'https://placehold.co/600x400',
                    'status' => false,
                ],
                [
                    'name' => 'Scandinavian Dining Table',
                    'price' => 499.99,
                    'image_url' => 'https://placehold.co/600x400',
                    'status' => false,
                ]
            ];
        }
    }
    public static function FurnitureSaveData($request){
        $request->validate([
            'image' => 'required|image|mimes:jpeg,png,jpg,gif|max:2048', // Adjust validation rules as needed
        ]);
        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $imageName = time() . '.' . $image->getClientOriginalExtension();

            // Check if the directory exists, create it if not
            if (!Storage::exists('public/furniture')) {
                Storage::makeDirectory('public/furniture');
            }

            // Store the image in the furniture directory
            $imagePath = $image->storeAs('public/furniture', $imageName);
            $imageUrl = str_replace('public/', '', $imagePath);
            Furniture::create([
                'image' => $imageUrl,
                'name' => $request->input('name'),
                'price' => $request->input('price'),
            ]);
            return back()->with('success', 'Record Added successfully.');
        }

        return back()->with('error', 'Failed to upload image.');
    }
    public static function updateById($request){
        $findRecord = Furniture::find($request->input('id')); 
        if ($request->hasFile('image')) {
            $deleteImage = 'public/' . $findRecord->image;
            Storage::delete($deleteImage);
            // Store the new image
            $image = $request->file('image');
            $imageName = time() . '.' . $image->getClientOriginalExtension();
            $imagePath = $image->storeAs('public/furniture', $imageName);
            $imageUrl = str_replace('public/', '', $imagePath);
        
            // Update the image path in the database
            $findRecord->image = $imageUrl;
        }
        $findRecord->name = $request->input('name');
        $findRecord->price = $request->input('price');
        $findRecord->save();
        return back()->with('success', 'Record Updated successfully.');
    }
}
