    @extends('layouts.dashboard')
        @section('content')
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">boothdesign</div>
                            @if(isset($arr['status']))
                                <button style="display: inline-block;float: right;margin: 6px 0 18px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredboothdesign">
                                    Add boothdesign
                                </button>
                            @endif
                        </div>
                        <div class="card-body">
                        <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Image</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                        <tr>
                                            <td>#</td>
                                            <td>
                                                @if(!isset($arr['status']))
                                                    <img class="img-fluid" src="{{ asset('storage/' . $arr['image']) }}" alt="">
                                                @else
                                                    <img class="img-fluid" src="{{ $arr['image'] }}" alt="">
                                                @endif
                                            </td>
                                            <td class="green">
                                                @if(!isset($arr['status']))
                                                <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredbooth{{$arr['id']}}">
                                                    <i class="bi bi-check-circle"></i>
                                                </button>
                                                @else
                                                    <button type="button" class="btn btn-success"><i class="bi bi-check-circle"></i></button>
                                                @endif
                                            </td>
                                            <td class="green">
                                                @if(!isset($arr['status']))
                                                <form method="POST" action="{{url('admin/home/masters/booth/destroy')}}" id="deleteForm">
                                                    @csrf
                                                    @method('POST')
                                                    <input type="hidden" name="model" value="Media">
                                                    <input type="hidden" name="id" value="{{$arr['id']}}">
                                                    <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                                </form>
                                                @else
                                                <button type="button" class="btn btn-danger"><i class="bi bi-exclamation-octagon"></i></button>
                                                @endif
                                            </td>
                                        </tr>
                                        @if(!isset($arr['status']))
                                        <div class="modal fade" id="editcenteredbooth{{$arr['id']}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" style="display: inline-block;">Update Booth Design 
                                                            <div class="icon" style="display: inline-block;">
                                                                <i class="bi bi-check-circle-fill verified_icon"></i>
                                                            </div>
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                    <form action="{{url('admin/home/masters/booth/update')}}" class="needs-validation booth_master_update" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                        <input type="hidden" value="booth" name="model">
                                                        <input type="hidden" value="{{$arr['id']}}" name="id">
                                                        <div class="form-group mb-3">
                                                            <label>Image</label>
                                                            <input type="file" name="image" class="form-control">
                                                            <div class="invalid-feedback">
                                                                Please upload image.
                                                            </div>
                                                        </div>
                                                        <div class="form-group">
                                                            <input type="submit" value="Submit" class="btn btn-primary">
                                                        </div>
                                                    </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endsection
    <div class="modal fade" id="verticalycenteredboothdesign" tabindex="-1" style="display: none;" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Booth Design</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="{{url('admin/home/masters/boothdesign')}}" class="needs-validation boothdesign_master" method="POST" novalidate enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" value="boothdesign" name="model">
                        <div class="form-group mb-3">
                            <label>Image</label>
                            <input type="file" name="image" required class="form-control">
                            <div class="invalid-feedback">
                                Please upload image.
                            </div>
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Submit" class="btn btn-primary">
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>