    @extends('layouts.dashboard')
        @section('content')
        @php
            $categories = [
                'email','number','tagline','number','billing_address','instagram','facebook','youtube','linked-in','twitter'
            ];
        @endphp
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header">
                            @include('notification')
                            <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">Basic Details</div>
                            <button style="display: inline-block;float: right;margin: 12px 0 20px 0;" type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#verticalycenteredbasicdetails">
                                Add Basic Details
                            </button>
                        </div>
                        <div class="card-body">
                        <table class="table datatable datatable-table">
                                <thead>
                                    <tr>
                                    <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">#</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                        class="datatable-sorter">Type</button></th>
                                        <th data-sortable="true" style="width: 9.195402298850574%;"><button
                                                class="datatable-sorter">Content</button></th>
                                        <th data-format="YYYY/DD/MM" data-sortable="true" data-type="date"
                                            style="width: 16.912972085385878%;"><button class="datatable-sorter">Edit</button></th>
                                        <th data-sortable="true" class="red" style="width: 18.555008210180624%;"><button
                                                class="datatable-sorter">Delete</button></th>
                                    </tr>
                                </thead>
                                <tbody>
                                        @if($arr)
                                        @foreach($arr as $key => $data)
                                        @php
                                            $filteredRecord = json_decode($data['meta_value'], true);
                                        @endphp
                                        <tr>
                                            <td>{{ $key + 1}}</td>
                                            <td>{{ $filteredRecord['category'] }}</td>
                                            <td>{!! $filteredRecord['info'] !!}</td>
                                            <td>
                                                <button type="button" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#editcenteredvenue{{$data['id']}}">
                                                    <i class="bi bi-check-circle"></i>
                                                </button>
                                            </td>
                                            <td>
                                                <form method="POST" action="{{url('admin/home/settings/basic-details/destroy')}}" id="deleteForm">
                                                    @csrf
                                                    @method('POST')
                                                    <input type="hidden" name="model" value="Setting">
                                                    <input type="hidden" name="id" value="{{$data['id']}}">
                                                    <button type="button" class="btn btn-danger" onclick="confirmDelete()"><i class="bi bi-exclamation-octagon"></i></button>
                                                </form>
                                            </td>
                                        </tr>
                                        <div class="modal fade" id="editcenteredvenue{{$data['id']}}" tabindex="-1" style="display: none;" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-centered">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" style="display: inline-block;">Update Data
                                                            <div class="icon" style="display: inline-block;">
                                                                <i class="bi bi-check-circle-fill verified_icon"></i>
                                                            </div>
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                    <form action="{{url('admin/home/settings/basic-details/update')}}" class="needs-validation map_master_update" method="POST" novalidate enctype="multipart/form-data">
                                                        @csrf
                                                        <input type="hidden" value="basic-details" name="model">
                                                        <input type="hidden" value="{{$data['id']}}" name="id">
                                                            <div class="form-group mb-3">
                                                                <label>Category</label>
                                                                <select name="category" class="form-control">
                                                                    @foreach($categories as $category)
                                                                        <option {{ $category == $filteredRecord['category'] ? 'selected' : '' }} value="{{ $category }}">{{ $category }}</option>
                                                                    @endforeach
                                                                </select>
                                                                <div class="invalid-feedback">
                                                                    Please provide category.
                                                                </div>
                                                            </div>
                                                            <div class="form-group">
                                                                <textarea name="meta_value" class="tinymce-editor" required>
                                                                    {!! $filteredRecord['info'] !!}
                                                                </textarea>
                                                            </div>
                                                        <div class="form-group">
                                                            <input type="submit" value="Submit" class="btn btn-primary">
                                                        </div>
                                                    </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        @endforeach
                                        @endif
                                </tbody>
                        </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade" id="verticalycenteredbasicdetails" tabindex="-1" style="display: none;" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Add Basic Info</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="{{url('admin/home/settings/basic-details')}}" class="needs-validation exhibito_content_master" method="POST" novalidate enctype="multipart/form-data">
                        @csrf
                        <input type="hidden" value="basic-details" name="model">
                        <div class="form-group mb-3">
                            <label>Category</label>
                            <select name="category" class="form-control">
                                @foreach($categories as $category)
                                    <option value="{{ $category }}">{{ $category }}</option>
                                @endforeach
                            </select>
                            <div class="invalid-feedback">
                                Please provide category.
                            </div>
                        </div>
                        <div class="form-group">
                            <textarea name="meta_value" class="tinymce-editor" required>
                                <p>This is Dummy <strong>Text</strong>..</p>
                            </textarea>
                        </div>
                        <div class="form-group">
                            <input type="submit" value="Submit" class="btn btn-primary">
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>
    @endsection