@extends('layouts.dashboard')
@section('content')
<style>
    .table_col td{
        text-align: right;
        padding: 22px 20px 0;
    }
    .table_col td.text-right
    {
        padding: 30px 0 0 0;
    }
    .nav .nav-link{
        background: #f6f9ff;
        border: 1px solid #d9d9d9;
        border-radius: 0;
        border-bottom: none;
        color: #393939;
        font-weight: 600;
        font-size: 15px;
        min-height: 70px;
    }
    .nav .nav-link:last-child{
        border-bottom: 1px solid #d9d9d9;
    }
    .tabs_wrapper_exhibitor .tab-content{
        background: #fff;
        border: 1px solid #d9d9d9;
        border-left: none;
        height:100vh;
        width: 100%;
    }
    .exhibitor_form label{
        font-weight: 700;
        font-size: 14px;
        margin: 0 0 7px 0;
        color: #5a5a5a;
    }
    .exhibitor_form span {
        color:red
    }
    .exhibitor_form .form-control{
        margin: 0 0 20px 0;
    }
    .exhibitor_form .tab-pane{
        position: absolute;
        width: 83%;
    }
</style>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <form class="exhibitor_form" action="#">
            <div class="card">
                @include('notification')
                <div class="card-header">
                    <div style="text-transform:capitalize;display: inline-block;margin: 10px 0 0 0;" class="card-title">Exhibitor</div>
                    <a style="float: right;margin: 10px 0 20px 0;" href="{{ url('/admin/home/exhibitors/list') }}" class="btn btn-primary">Go Back</a>
                </div>
                <div class="card-body p-2">
                    <div class="d-flex align-items-start tabs_wrapper_exhibitor">
                        <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                            <button class="nav-link active" id="v-pills-details-tab" data-bs-toggle="pill" data-bs-target="#v-pills-details" type="button" role="tab" aria-controls="v-pills-details" aria-selected="false" tabindex="-1">Basic Details</button>
                            <button class="nav-link" id="v-pills-stalls-tab" data-bs-toggle="pill" data-bs-target="#v-pills-stalls" type="button" role="tab" aria-controls="v-pills-stalls" aria-selected="false" tabindex="-1">Stalls</button>
                            <button class="nav-link" id="v-pills-requirement-tab" data-bs-toggle="pill" data-bs-target="#v-pills-requirement" type="button" role="tab" aria-controls="v-pills-requirement" aria-selected="true">Branding Requirement</button>
                            <button class="nav-link" id="v-pills-power-tab" data-bs-toggle="pill" data-bs-target="#v-pills-power" type="button" role="tab" aria-controls="v-pills-power" aria-selected="true">Power Requirement</button>
                            <button class="nav-link" id="v-pills-furniture-tab" data-bs-toggle="pill" data-bs-target="#v-pills-furniture" type="button" role="tab" aria-controls="v-pills-furniture" aria-selected="true">Furniture Requirement</button>
                            <button class="nav-link" id="v-pills-catalogue-tab" data-bs-toggle="pill" data-bs-target="#v-pills-catalogue" type="button" role="tab" aria-controls="v-pills-catalogue" aria-selected="true">Catalogue Requirement</button>
                            <button class="nav-link" id="v-pills-exhibitor-badges-tab" data-bs-toggle="pill" data-bs-target="#v-pills-exhibitor-badges" type="button" role="tab" aria-controls="v-pills-exhibitor-badges" aria-selected="true">Exhibitor Badges</button>
                            <button class="nav-link" id="v-pills-appointed-tab" data-bs-toggle="pill" data-bs-target="#v-pills-appointed" type="button" role="tab" aria-controls="v-pills-appointed" aria-selected="true">Appointed Contractor</button>
                            <button class="nav-link" id="v-pills-contractorBadge-tab" data-bs-toggle="pill" data-bs-target="#v-pills-contractorBadge" type="button" role="tab" aria-controls="v-pills-contractorBadge" aria-selected="true">Contractor Badges</button>
                            <button class="nav-link" id="v-pills-facia-tab" data-bs-toggle="pill" data-bs-target="#v-pills-facia" type="button" role="tab" aria-controls="v-pills-facia" aria-selected="true">Facia Board</button>
                            <button class="nav-link" id="v-pills-brands-tab" data-bs-toggle="pill" data-bs-target="#v-pills-brands" type="button" role="tab" aria-controls="v-pills-facia" aria-selected="true">Brands</button>
                            <button class="nav-link" id="v-pills-payment-tab" data-bs-toggle="pill" data-bs-target="#v-pills-payment" type="button" role="tab" aria-controls="v-pills-facia" aria-selected="true">Payment Details</button>
                        </div>
                        <div class="tab-content p-3" id="v-pills-tabContent">
                            <div class="tab-pane fade active show" id="v-pills-details" role="tabpanel" aria-labelledby="v-pills-details-tab">
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Company Name <span>*</span></label>
                                            <input type="text" required value="{{ $exhibitor->profile->company_name }}" disabled name="company_name" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Name <span>*</span></label>
                                            <input type="text" required value="{{ $exhibitor->name }}" disabled name="name" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Email <span>*</span></label>
                                            <input type="email" required value="{{ $exhibitor->email }}" disabled name="email" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <!--  -->
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Address <span>*</span></label>
                                            <input type="text" required value="{{ $exhibitor->profile->address }}" disabled name="address" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>City <span>*</span></label>
                                            <input type="text" required name="city" value="{{ $exhibitor->profile->city }}" disabled class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>State <span>*</span></label>
                                            <input type="text" required value="{{ $exhibitor->profile->state }}" disabled name="state" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <!--  -->
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Pin <span>*</span></label>
                                            <input type="text" value="{{ $exhibitor->profile->pin }}" disabled maxlength="5" required name="pin" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Mobile <span>*</span></label>
                                            <input type="text" value="{{ $exhibitor->profile->pin }}" disabled required name="mobile" maxlength="10" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Telephone </label>
                                            <input type="text" value="{{ $exhibitor->profile->telephone }}" disabled name="telephone" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <!--  -->
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Fax</label>
                                            <input type="text" value="{{ $exhibitor->profile->fax }}" disabled name="fax" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>GST</label>
                                            <input type="text" value="{{ $exhibitor->profile->gst_number }}" disabled name="gst_number" class="form-control">
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label> Secondary Emails </label>
                                            <input type="text" value="{{ $exhibitor->profile->secondary_emails }}" disabled placeholder="(You can add multiple use comma seperation)" name="secondary_emails" class="form-control">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label>Password</label>
                                            <input disabled type="text" class="form-control" value="{{ $exhibitor->plain_password }}">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane fade" id="v-pills-stalls" role="tabpanel" aria-labelledby="v-pills-stalls-tab">
                            @if($exhibitor->profile && $exhibitor->profile->stall) 
                    <table class="table table-bordered table-striped">
                        <tr>
                            <th>Stall Number</th>
                            <th>Category</th>
                            <th>Category Price</th>
                            <th>Area(Sq Mt)</th>
                            <th>Total</th>
                            <th>Discount(%)</th>
                            <th>Discount Amount</th>
                            <th>Amount After Discount</th>
                            <th>SGST</th>
                            <th>CGST</th>
                            <th>Grand Total</th>
                        </tr>
                        @foreach($exhibitor->profile->stall as $stall)
                        <tr>
                            <td>{{ $stall->stallno }}</td>
                            <td>{{ $stall->category }}</td>
  	                        <td>{{ $stall->price }}</td>
                            <td>{{ $stall->area }}</td>
                            <td>{{ $stall->total }}</td>
	                        <td>{{ $stall->discount }}</td>
                            <td>{{ $stall->discounted_amount }}</td>
                            <td>{{ $stall->price_after_discount }}</td>
                            <td>{{ $stall->sgst }}</td>
                            <td>{{ $stall->cgst }}</td>
                            <td>{{ $stall->grandtotal }}</td>
                        </tr>
                        @endforeach
                        <tr>
                            <th>Grand Total</th>
                            <td></td>
                            <td></td>
                            <td>{{ $exhibitor->profile->total_area }}</td>
                            <td>{{ $exhibitor->profile->total_amount }}</td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td>{{ $exhibitor->profile->sgst_total }}</td>
                            <td>{{ $exhibitor->profile->cgst_total }}</td>
                            <td>{{ $exhibitor->profile->stall_total }}</td>
                        </tr>
                    </table>
                    @endif
                            </div>
                            <!-- Branding -->
                            <div class="tab-pane fade" id="v-pills-requirement" role="tabpanel" aria-labelledby="v-pills-requirement-tab">
                            @if($exhibitor->brandingRequirement)
                    <table class="table table-striped table-bordered table-responsive">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Area</th>
                                <th>Total Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($exhibitor->brandingRequirement->details as $detail)
                            <tr>
                                <td>{{ $detail->name }}</td>
                                <td>{{ $detail->branding_required }}</td>
                                <td>{{ $detail->total }}</td>
                            </tr>
                            @endforeach
                        </tbody>
                        <tfoot>
                            <tr>
                                <th></th>
                                <th>Total Rs.</th>
                                <th>Rs. {{$exhibitor->brandingRequirement->sub_total}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th>@SGST: 9% </th>
                                <th>Rs. {{$exhibitor->brandingRequirement->sgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th>@CGST: 9% </th>
                                <th value="0">Rs. {{$exhibitor->brandingRequirement->cgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th>Grand Total: </th>
                                <th>Rs. {{$exhibitor->brandingRequirement->grand_total}}</th>
                            </tr>
                        </tfoot>
                    </table>
                    @endif
                            </div>
                            <!-- Power -->
                            <div class="tab-pane fade" id="v-pills-power" role="tabpanel" aria-labelledby="v-pills-power-tab">
                            @if($exhibitor->powerRequirement)
                    <table class="table table-striped table-bordered table-responsive">
                        <thead>
                            <tr>
                                <th>Type</th>
                                <th>Rate Per KW Rupee</th>
                                <th>Power Required</th>
                                <th>Phase</th>
                                <th>Total Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($exhibitor->powerRequirement->details as $detail)
                                <tr>
                                    <td>{{ $detail->type }}</td>
                                    <td>{{ $detail->rate_per_kw }}</td>
                                    <td>{{ $detail->power_required }} KW</td>
                                    <td>{{ $detail->phase }}</td>
                                    <td>{{ $detail->total }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                        <tfoot>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>Total Rs: </th>
                                <th>Rs. {{$exhibitor->powerRequirement->sub_total}}</th>
                            </tr>
                        	@if(!round($exhibitor->powerRequirement->discount,2) == 0)
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>Discount(%)</th>
                                <th>{{$exhibitor->powerRequirement->discount}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>Discount Amount</th>
                                <th>Rs. {{$exhibitor->powerRequirement->discount_amount}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>After Discount Amount</th>
                                <th>Rs. {{$exhibitor->powerRequirement->discounted_amount}}</th>
                            </tr>
                            @endif
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>@SGST: (9%) </th>
                                <th>Rs. {{$exhibitor->powerRequirement->sgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>@CGST: (9%) </th>
                                <th value="0">Rs. {{$exhibitor->powerRequirement->cgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                                <th>Grand Total: </th>
                                <th>Rs. {{$exhibitor->powerRequirement->grand_total}}</th>
                            </tr>
                        </tfoot>
                    </table>                   
                    @endif
                            </div>
                            <!-- Furniture -->
                            <div class="tab-pane fade" id="v-pills-furniture" role="tabpanel" aria-labelledby="v-pills-furniture-tab">
                            @if($exhibitor->furnitureRequirement)
                    <table class="table table-striped table-bordered table-responsive">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Price</th>
                                <th>Quantity</th>
                                <th>Total Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($exhibitor->furnitureRequirement->details as $detail)
                                <tr>
                                    <td>{{ $detail->name }}</td>
                                    <td>{{ $detail->price }}</td>
                                    <td>{{ $detail->furniture_required }}</td>
                                    <td>{{ $detail->total }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                        <tfoot>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Total Rs: </th>
                                <th>Rs. {{$exhibitor->furnitureRequirement->sub_total}}</th>
                            </tr>
	                        @if(!round($exhibitor->furnitureRequirement->discount,2) == 0)
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Discount(%)</th>
                                <th>{{$exhibitor->furnitureRequirement->discount}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Discount Amount</th>
                                <th>Rs. {{$exhibitor->furnitureRequirement->discount_amount}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>After Discount Amount</th>
                                <th>Rs. {{$exhibitor->furnitureRequirement->discounted_amount}}</th>
                            </tr>
                            @endif
                            <tr>
                                <th></th>
                                <th></th>
                                <th>@SGST: (9%) </th>
                                <th>Rs. {{$exhibitor->furnitureRequirement->sgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>@CGST: (9%) </th>
                                <th value="0">Rs. {{$exhibitor->furnitureRequirement->cgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Grand Total: </th>
                                <th>Rs. {{$exhibitor->furnitureRequirement->grand_total}}</th>
                            </tr>
                        </tfoot>
                    </table>
                    @endif
                            </div>
                            <!-- Catalogue -->
                            <div class="tab-pane fade" id="v-pills-catalogue" role="tabpanel" aria-labelledby="v-pills-catalogue-tab">
                            @if($exhibitor->advertisementRequirement)
                    <table class="table table-striped table-bordered table-responsive">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Price</th>
                                <th>Quantity</th>
                                <th>Total Amount</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($exhibitor->advertisementRequirement->details as $detail)
                                <tr>
                                    <td>{{ $detail->name }}</td>
                                    <td>{{ $detail->price }}</td>
                                    <td>{{ $detail->advertisement_required }}</td>
                                    <td>{{ $detail->total }}</td>
                                </tr>
                            @endforeach
                        </tbody>
                        <tfoot>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Total Rs: </th>
                                <th>Rs. {{$exhibitor->advertisementRequirement->sub_total}}</th>
                            </tr>
                        	@if(!round($exhibitor->advertisementRequirement->discount,2) == 0)                            
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Discount(%)</th>
                                <th>{{$exhibitor->advertisementRequirement->discount}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Discount Amount</th>
                                <th>Rs. {{$exhibitor->advertisementRequirement->discount_amount}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>After Discount Amount</th>
                                <th>Rs. {{$exhibitor->advertisementRequirement->discounted_amount}}</th>
                            </tr>
                            @endif
                            <tr>
                                <th></th>
                                <th></th>
                                <th>@SGST: (9%) </th>
                                <th>Rs. {{$exhibitor->advertisementRequirement->sgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>@CGST: (9%) </th>
                                <th value="0">Rs. {{$exhibitor->advertisementRequirement->cgst}}</th>
                            </tr>
                            <tr>
                                <th></th>
                                <th></th>
                                <th>Grand Total: </th>
                                <th>Rs. {{$exhibitor->advertisementRequirement->grand_total}}</th>
                            </tr>
                        </tfoot>
                    </table>
                    @endif
                            </div>
                            <!-- Exhibitor Badges -->
                            <div class="tab-pane fade" id="v-pills-exhibitor-badges" role="tabpanel" aria-labelledby="v-pills-exhibitor-badges-tab">
                                <table class="table table-bordered table-striped">
                                    <tr>
                                        <th>Free Badges</th>
                                        <td>{{$exhibitor->profile ? $exhibitor->profile->freebadges : 'N/A'}}</td>
                                    </tr>
                                    <tr>
                                        <th>Extra Free Badges</th>
                                        <td>{{$exhibitor->profile ? $exhibitor->profile->extraexhibitorbadge : 'N/A'}}</td>
                                    </tr>
                                    <tr>
                                        <th>Total Badges</th>
                                        <td>{{ $exhibitor->profile ? $exhibitor->profile->freebadges + $exhibitor->profile->extraexhibitorbadge : '' }}</td>
                                    </tr>
                                    <tr>
                                        <th>Badges Payment</th>
                                        <td>{{ $exhibitor->profile ? $exhibitor->profile->extraexhibitorbadge * 100 : ''}}</td>
                                    </tr>
                                    <tr>
                                        <th>Cgst</th>
                                        <td>{{ $exhibitor->profile ? $exhibitor->profile->extra_badge_cgst : ''}}</td>
                                    </tr>
                                    <tr>
                                        <th>Sgst</th>
                                        <td>{{ $exhibitor->profile ? $exhibitor->profile->extra_badge_sgst : ''}}</td>
                                    </tr>
                                    <tr>
                                        <th>Grand Total Badges</th>
                                        <td>{{ $exhibitor->profile ? $exhibitor->profile->extra_badges_total : ''}}</td>
                                    </tr>
                                </table>
                            </div>
                            <!-- Contractor -->
                            <div class="tab-pane fade" id="v-pills-appointed" role="tabpanel" aria-labelledby="v-pills-appointed-tab">
                                <table class="table table-striped table-bordered table-responsive">
                                            <thead>
                                                <tr>
                                                    <th>Name</th>
                                                    <th>Company Name</th>
                                                    <th>Address</th>
                                                    <th>City</th>
                                                    <th>Zip</th>
                                                    <th>Country</th>
                                                    <th>Phone</th>
                                                    <th>Mobile</th>
                                                    <th>Email</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @if($contractor)
                                                <tr>
                                                    <td>{{$contractor->name}}</td>
                                                    <td>{{$contractor->company_name}}</td>
                                                    <td>{{$contractor->address}}</td>
                                                    <td>{{$contractor->city}}</td>
                                                    <td>{{$contractor->zip}}</td>
                                                    <td>{{$contractor->country}}</td>
                                                    <td>{{$contractor->phone}}</td>
                                                    <td>{{$contractor->mobile}}</td>
                                                    <td>{{$contractor->email}}</td>
                                                </tr>
                                                @else
                                                <tr>
                                                    <td colspan="9">No Contractor Selected</td>
                                                </tr>
                                                @endif
                                            </tbody>
                                        </table>
                            </div>
                            <!-- Contractor Badges -->
                            <div class="tab-pane fade" id="v-pills-contractorBadge" role="tabpanel" aria-labelledby="v-pills-contractorBadge-tab">
                                <div class="row">
                                    
                                <div class="col-lg-6">
                                        <label for="name">Category</label>
                                        <select name="contractor_badges_category" class="form-control">
                                            <option {{ $exhibitor->profile->contractor_badges_category == 'free' ? 'selected' : '' }}" value="free">Free</option>
                                            <option {{ $exhibitor->profile->contractor_badges_category == 'paid' ? 'selected' : '' }}" value="paid">Paid</option>
                                        </select>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label for="contractor_badge">Contractor Badges</label>
                                            <input id="contractor_badge" value="{{ $exhibitor->profile->contractor_badges }}" disabled type="number" class="form-control" name="contractor_badges">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- Contractor Badges Ends -->
                            <div class="tab-pane fade" id="v-pills-facia" role="tabpanel" aria-labelledby="v-pills-facia-tab">
                                <div class="form-group">
                                    <label>Facia</label>
                                    <input type="text" value="{{ $exhibitor->profile->faciaboard }}" disabled  name="faciaboard" class="form-control">
                                </div>
                            </div>
                            <div class="tab-pane fade" id="v-pills-brands" role="tabpanel" aria-labelledby="v-pills-brands-tab">
                                <div class="form-group">
                                    <label>Website</label>
                                    <input type="text" value="{{ $exhibitor->profile->website }}" disabled  name="website" class="form-control">
                                </div>
                                <div class="form-group">
                                    <label>Brands On Display</label>
                                    @if($exhibitor->products)
                                        @foreach ($exhibitor->products as $product)
                                            {{$product->name}},
                                        @endforeach
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label>Distributor Brands</label>
                                    @if($exhibitor->profile && $exhibitor->profile->brandsondisplay)
                                        @foreach(unserialize($exhibitor->profile->brandsondisplay) as $brands)
                                            {{$brands}},
                                        @endforeach
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label>International Brands</label>
                                    @if($exhibitor->profile && $exhibitor->profile->brandsondisplay_distributors)
                                        @foreach(unserialize($exhibitor->profile->brandsondisplay_distributors) as $brands)
                                            {{$brands}},
                                        @endforeach
                                    @endif
                                </div>
                            </div>
                            <div class="tab-pane fade" id="v-pills-payment" role="tabpanel" aria-labelledby="v-pills-payment-tab">                                
                                <table class="table table-bordered table-striped">
                                        <tr>
                                            <th>Cheque Number</th>
                                            <th>Cheque Date</th>
                                            <th>Drawn On</th>
                                            <th>TDS</th>
                                            <th>Amount</th>
                                        </tr>
                                        @foreach($exhibitor->payment as $payment)
                                        <tr>
                                            <td>{{ $payment->cheque_number }}</td>
                                            <td>{{ $payment->cheque_date }}</td>
                                            <td>{{ $payment->drawn_on }}</td>
                                            <td>{{ $payment->tds }}</td>
                                            <td>{{ $payment->amount }}</td>
                                        </tr>
                                        @endforeach
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td>Grand Total</td>
                                            <td>{{ $exhibitor->total_tds }}</td>
                                            <td>{{ $exhibitor->total_amount }}</td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                            <td>Payment Recieved</td>
                                            <td>{{ number_format($exhibitor->payment_recieved,2) }}</td>
                                        </tr>
                                    </table>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
@section('script')
<script src="{{ url('assets/js/form_validation.js') }}"></script>
@endsection