<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>Dashboard - Exhibition</title>
  <meta content="" name="description">
  <meta content="" name="keywords">

  <!-- Favicons -->
  <link href="{{ url('assets/img/favicon.png') }}" rel="icon">
  <link href="{{ url('assets/img/apple-touch-icon.png') }}" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i" rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="{{ url('assets/css/select2.min.css')}}" rel="stylesheet">
  <link href="{{ url('assets/css/select2-bootstrap.min.css')}}" rel="stylesheet">
  <link href="{{ url('assets/vendor/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet">
  <link href="{{ url('assets/vendor/bootstrap-icons/bootstrap-icons.css') }}" rel="stylesheet">
  <link href="{{ url('assets/vendor/boxicons/css/boxicons.min.css')}}" rel="stylesheet">
  <link href="{{ url('assets/vendor/quill/quill.snow.css')}}" rel="stylesheet">
  <link href="{{ url('assets/vendor/quill/quill.bubble.css')}}" rel="stylesheet">
  <link href="{{ url('assets/vendor/remixicon/remixicon.css')}}" rel="stylesheet">
  <link href="{{ url('assets/vendor/simple-datatables/style.css')}}" rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="{{url('assets/css/style.css')}}" rel="stylesheet">
</head>
<style>
  .verified_icon{
    color:#0064ff;
  }
  .card .card-header{
    background: #4154f1ad;
    color: #fff;
    padding: 10px 20px 2px;
    border-bottom: 6px solid #d9ddff;
    box-shadow: 0 5px 16px -7px #727272;
  }
  .card .card-title{
    padding: 0 0 0 0 !important;
    font-size: 28px !important;
    font-weight: 900 !important;
    color: #fff !important;
  }
</style>
<body>

  <!-- ======= Header ======= -->
  <header id="header" class="header fixed-top d-flex align-items-center">

    <div class="d-flex align-items-center justify-content-between">
      <a href="{{url('/admin/home/')}}" class="logo d-flex align-items-center">
        <img src="{{ url('assets/img/logo.png') }}" alt="">
        <span class="d-none d-lg-block">Exhibition</span>
      </a>
      <i class="bi bi-list toggle-sidebar-btn"></i>
    </div><!-- End Logo -->

    <nav class="header-nav ms-auto">
      <ul class="d-flex align-items-center">
        <li class="nav-item dropdown pe-3">

          <a class="nav-link nav-profile d-flex align-items-center pe-0" href="#" data-bs-toggle="dropdown">
            <img src="{{url('assets/img/profile-img.jpg')}}" alt="Profile" class="rounded-circle">
            <span class="d-none d-md-block dropdown-toggle ps-2">{{auth()->user()->role}}</span>
          </a><!-- End Profile Iamge Icon -->

          <ul class="dropdown-menu dropdown-menu-end dropdown-menu-arrow profile">
            <li class="dropdown-header">
              <h6>{{auth()->user()->email}}</h6>
            </li>
            <li>
              <hr class="dropdown-divider">
            </li>
            <li>
              <a class="dropdown-item d-flex align-items-center" href="#">
                <i class="bi bi-box-arrow-right"></i>
                <span>Sign Out</span>
              </a>
            </li>

          </ul><!-- End Profile Dropdown Items -->
        </li><!-- End Profile Nav -->

      </ul>
    </nav><!-- End Icons Navigation -->

  </header><!-- End Header -->

  <!-- ======= Sidebar ======= -->
  @php
      $currentUrl = request()->path(); // Get the path portion of the URL
      $segments = explode('/', $currentUrl); // Split the path into segments
      $startingSlug = $segments[0]; // Get the first segment
      $baseUrl = url('');
  @endphp
  <aside id="sidebar" class="sidebar">
    <ul class="sidebar-nav" id="sidebar-nav">
      <li class="nav-item">
          <a class="btn btn-success nav-link" style="background: #4154f1" href="{{ url('/'. $startingSlug . '/home') }}"/>
            <i style="color:#fff" class="bi bi-box-arrow-in-right"> {{ __('Home') }} </i>
        </a>
      </li>
      @foreach($menuItems as $item)
        <li class="nav-item">
            <a class="nav-link {{ $startingSlug == strtolower($item['label']) ? 'collapsed' : '' }}" 
               data-bs-target="#{{ $item['label'] }}-nav" 
               data-bs-toggle="collapse" 
               href="#">
                <i class="{{$item['icon']}}"></i>
                <span>{{ $item['label'] }}</span>
                @if(isset($item['sub_menu']))
                    <i class="bi bi-chevron-down ms-auto"></i>
                @endif
            </a>
            @if(isset($item['sub_menu']))
                <ul id="{{ $item['label'] }}-nav" 
                    class="nav-content collapse" 
                    data-bs-parent="#{{ $item['label'] }}-nav">
                    @foreach ($item['sub_menu'] as $subItem)
                        <li class="nav-item">
                            <a class="nav-link collapsed" href="{{ $item['label'] == 'Masters' ? $baseUrl .  $subItem['url'] : $baseUrl . $subItem['url'] }}">
                                <i class="{{$item['icon']}}"></i>
                                <span>{{ $subItem['label'] }}</span>
                            </a>
                        </li>
                    @endforeach
                </ul>
            @endif
        </li>
      @endforeach
      <li class="nav-item">
        <a class="btn btn-success nav-link" style="background: #4154f1" href="{{ route('logout') }}"
            onclick="event.preventDefault();
                            document.getElementById('logout-form').submit();">
            <i style="color:#fff" class="bi bi-box-arrow-in-right"> {{ __('Logout') }} </i>
        </a>
      </li>

      <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
          @csrf
      </form>
    </ul>
  </aside><!-- End Sidebar-->

  <main id="main" class="main">

    <div class="pagetitle">
      <h1>Dashboard</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="{{url('/' . $startingSlug . '/home/')}}">Home</a></li>
          <li class="breadcrumb-item active">Dashboard</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section dashboard">
      <div class="row">
        @yield('content')
      </div>
    </section>

  </main><!-- End #main -->

  <!-- ======= Footer ======= -->
  <footer id="footer" class="footer">
    <div class="copyright">
      &copy; Copyright <strong><span>Exhibition</span></strong>. All Rights Reserved
    </div>
    <div class="credits">
      Designed by <a href="##">Exhibition</a>
    </div>
  </footer><!-- End Footer -->

  <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

  <!-- Vendor JS Files -->
  <script src="{{ url('assets/vendor/apexcharts/apexcharts.min.js') }} "></script>
  <script src="{{ url('assets/vendor/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
  <script src="{{ url('assets/vendor/chart.js/chart.umd.js') }}"></script>
  <script src="{{ url('assets/vendor/echarts/echarts.min.js') }}"></script>
  <script src="{{ url('assets/vendor/quill/quill.min.js') }}"></script>
  <script src="{{ url('assets/vendor/simple-datatables/simple-datatables.js') }}"></script>
  <script src="{{ url('assets/vendor/tinymce/tinymce.min.js') }}"></script>
  <script src="{{ url('assets/vendor/php-email-form/validate.js') }}"></script>
  <!-- Template Main JS File -->
  <script src="{{ url('assets/js/main.js') }}"></script>
  <script src="{{ url('assets/js/jquery.js') }}"></script>
  <script src="{{ url('assets/js/custom.js') }}"></script>
  <script src="{{ url('assets/js/sweetalert.js') }}"></script>
  <script src="{{ asset('assets/js/countries.js') }}"></script>
  <script src="{{ asset('assets/js/visitor.js') }}"></script>
  <script src="{{ asset('assets/js/select2.min.js')}}"></script>
  <script src="{{asset('assets/js/vue.js')}}"></script>
  @yield('script')
</body>

</html>